<?php
$content_width = 380;

function knrdecorous_register_thememenu() {
	register_nav_menu('topmenu', 'Top Menu');
}

function knrdecorous_register_themecapabilities() {
	add_theme_support('automatic-feed-links');
}

function knrdecorous_register_themesidebar() {
	register_sidebar(array(
		'name' => 'Right Sidebar',
		'id' => 'right'
	));
}

function knrdecorous_imgshort_widthadjust($attr, $content = null) {
	extract(shortcode_atts(array(
		'id'	=> '',
		'align'	=> 'alignnone',
		'width'	=> '',
		'caption' => ''
	), $attr));
	if (!is_singular()) $attr['width'] = 360; /* The caption in Post Format Test: Image (Linked) should not be cut-off */
	return img_caption_shortcode($attr, $content);
}

function knrdecorous_stylesandscripts() {
	if (is_singular()) wp_enqueue_script('comment-reply');
	
	wp_register_style('knrdecorous_layoutstyle', get_stylesheet_uri());
	wp_enqueue_style('knrdecorous_layoutstyle');
}


if (!is_admin()) {
add_action('wp_enqueue_scripts', 'knrdecorous_stylesandscripts');
}

add_shortcode('wp_caption', 'knrdecorous_imgshort_widthadjust');
add_shortcode('caption', 'knrdecorous_imgshort_widthadjust');

add_action('after_setup_theme', 'knrdecorous_register_themecapabilities');
add_action('widgets_init', 'knrdecorous_register_themesidebar');
add_action('after_setup_theme', 'knrdecorous_register_thememenu');
?>